require 'spec_helper'

describe 'trove::db::postgresql' do

  shared_examples_for 'trove::db::postgresql' do
    let :req_params do
      { :password => 'pw' }
    end

    let :pre_condition do
      'include postgresql::server'
    end

    context 'with only required parameters' do
      let :params do
        req_params
      end

      it { is_expected.to contain_postgresql__server__db('trove').with(
        :user     => 'trove',
        :password => 'md5e12ef276d200761a0808f17a5b076451'
      )}
    end

  end

  on_supported_os({
    :supported_os   => OSDefaults.get_supported_os
  }).each do |os,facts|
    context "on #{os}" do
      let (:facts) do
        facts.merge(OSDefaults.get_facts())
      end

      it_configures 'trove::db::postgresql'
    end
  end

end
